EMF: EMF::EMRSETVIEWPORTORGEX Class Reference

EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EMF::EMRSETVIEWPORTORGEX Class Reference

EMF Set Viewport Origin (ex) More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSETVIEWPORTORGEX:

## Public Member Functions
| EMRSETVIEWPORTORGEX (INT x, INT y)
| EMRSETVIEWPORTORGEX (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Set Viewport Origin (ex)

The viewport origin is a point in device coordinates (i.e., pixels) where the viewport starts. (For example, if you want to put several different views on the same page, you might use different viewports.)

## Constructor & Destructor Documentation

EMF::EMRSETVIEWPORTORGEX::EMRSETVIEWPORTORGEX | ( | INT | x,
|  | INT | y
| ) |  |
| inline

Parameters

  x | x position of the viewport in device coordinates
  y | y position of the viewport in device coordinates

EMF::EMRSETVIEWPORTORGEX::EMRSETVIEWPORTORGEX | ( | DATASTREAM & | ds | ) |
| inline

Construct a SetVieportOrgEx record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

void EMF::EMRSETVIEWPORTORGEX::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const
| inlinevirtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

bool EMF::EMRSETVIEWPORTORGEX::serialize | ( | DATASTREAM | ds | ) |
| inlinevirtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

int EMF::EMRSETVIEWPORTORGEX::size | ( | void |  | ) | const
| inlinevirtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h